--[[
# Copyright 2020 Quarq
# This file is part of A-Bomb: Azeroth Bombardier.
# A-Bomb: Azeroth Bombardier is distributed under a BSD License.
# It is provided AS-IS and all warranties, express or implied, including, but not
# limited to, the implied warranties of merchantability or fitness for a particular
# purpose, are disclaimed.  See the LICENSE file for full information.
--]]
local MYNAME, _ = ...
MYNAME = GetAddOnMetadata(MYNAME, "X-ShortName") or MYNAME
local Addon = _G[MYNAME]
assert(Addon)

local sprintf = string.format
local floor = math.floor


local COLORS = {
	{ hue=  0/360,	name="Red",			designator=color_designator },
	{ hue= 30/360,	name="Orange",		designator=color_designator },
	{ hue= 52/360,	name="Yellow",		designator=color_designator },
	{ hue=105/360,	name="Green",		designator=color_designator },
	{ hue=195/360,	name="Blue",		designator=color_designator },
	-- { hue=232/360,	name="Dark-Blue",	designator=color_designator },
	{ hue=285/360,	name="Purple",		designator=color_designator },
}
Addon.COLORS = COLORS

local COLORS_BY_NAME = {}
for _, color in pairs(COLORS) do
	COLORS_BY_NAME[color.name] = color
end
Addon.COLORS_BY_NAME = COLORS_BY_NAME



-- local function target_color(text, color)
-- 	local r,g,b = Addon.hsv(color.hue, 1, 1)
-- 	return sprintf("|cff%02x%02x%02x%s|r", r*255, g*255, b*255, text)
-- end
